Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 30.rhel6
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl perl-suidperl mod_perl mysql mysql-server perl-DBD-MySQL perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-IO-Socket-SSL perl-MIME-Lite perl-MIME-Types zip unzip perl-libwww-perl ghostscript ntp at gnuplot which perl-Cache-Memcached memcached mailx perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info texlive texlive-latex texlive-dvips texlive-acrotex texlive-context texlive-xetex perl-CAM-PDF R-core R-phpSerialize perl-Tie-IxHash-Easy R R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl perl-XML-LibXML a2ps perl-CGI perl-Tree perl-TermReadKey system-config-language perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr bc perl-aliased perl-JSON-DWIW perl-enum perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp texlive-actuarialangle mod_ssl perl-Net-SSLGlue perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts perl-DateTime-Format-x509 perl-Math-Calculus-Expression_loncapa perl-Archive-Zip perl-UUID-Tiny perl-Short-URL perl-Math-Round perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-Crypt-PKCS10 perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA
# Requirements for compilation of CAPA
Requires: bison flex swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0122
Requires: perl-XML-SAX >= 0.96
Requires: perl-IO-Socket-SSL >= 1.79
Requires: perl-Net-SSLeay >= 1.50
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3
%define debug_package %{nil}

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Mon Aug 20 2018 Stuart Raeburn <raeburn at lon-capa.org> (1-30)
- Add perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-Crypt-PKCS10
  perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA

* Thu Jul 5 2018 Stuart Raeburn <raeburn at lon-capa.org> (1-29)
- Add perl-Short-URL perl-Math-Round

* Sun Nov 26 2017 Stuart Raeburn <raeburn at lon-capa.org> (1-28.1)
- Add perl-Archive-Zip perl-UUID-Tiny

* Mon Sep 25 2017 Stuart Raeburn <raeburn at lon-capa.org> (1-28)
- Add perl-Math-Calculus-Expression_loncapa

* Tue Aug 2 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-27.1)
- Add perl-DateTime-Format-x509

* Sat Jul 16 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-27)
- Add perl-Crypt-OpenSSL-X509, perl-LWP-UserAgent-DNS-Hosts

* Sat Jul 16 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-26)
- Add perl-Net-SSLGlue, mod_ssl
- Add version dependencies for perl-IO-Socket-SSL, perl-Net-SSLeay

* Tue Jan 5 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-25.1)
- Add texlive-context, texlive-xetex

* Mon Jan 4 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-25)
- Add perl-Crypt-Eksblowfish, perl-Net-OAuth, perl-Digest-SHA,
  perl-File-Slurp, and texlive-actuarialangle
- update version dependency for perl-XML-LibXML and perl-XML-SAX
- discontinue dependency on perl-Digest-SHA1 (use perl-Digest-SHA instead).

* Thu Jul 2 2015 Stuart Raeburn <raeburn at lon-capa.org> (1-24)
- Add bc, perl-aliased, perl-JSON-DWIW, perl-enum, and perl-Try-Tiny

* Mon Jan 28 2013 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-Digest-SHA1

* Tue Jan 1 2013 Stuart Raeburn <raeburn@loncapa.org>
- Adding aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr
  and gnuplot version 4.4 or newer dependencies.

* Thu Aug 23 2012 Stuart Raeburn <raeburn@loncapa.org>
- Add perl-Captcha-reCAPTCHA

* Fri Apr 1 2011 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-TermReadKey, system-config-language

* Fri Dec 31 2010 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-Tree, add version dependency for perl-Lib-XML

* Wed Dec 29 2010  <raeburn at loncapa.org> - 
- Initial build.

